/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 批量引用企业资料 GET /api/EnterpriseApplyFile/BatchQuoteEnterpriseApplyFile */
export async function batchQuoteEnterpriseApplyFile(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIbatchQuoteEnterpriseApplyFileParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/EnterpriseApplyFile/BatchQuoteEnterpriseApplyFile', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 确认提交材料上传 POST /api/EnterpriseApplyFile/CustomerUploadMonthApplyFile */
export async function customerUploadMonthApplyFile(
  body: API.CustomerUploadMonthApplyFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/EnterpriseApplyFile/CustomerUploadMonthApplyFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除客户四流材料 POST /api/EnterpriseApplyFile/DeleteEnterpriseApplyUploadFile */
export async function deleteEnterpriseApplyUploadFile(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteEnterpriseApplyUploadFileParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/EnterpriseApplyFile/DeleteEnterpriseApplyUploadFile', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 客户端删除按月上传单个文件 DELETE /api/EnterpriseApplyFile/DeleteMonthApplySingleFile */
export async function deleteMonthApplySingleFile(
  body: API.DeleteMonthApplySingleFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/EnterpriseApplyFile/DeleteMonthApplySingleFile', {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 查询该客户需要上传文件类型类别 GET /api/EnterpriseApplyFile/GetCustomerFileTypeHead */
export async function getCustomerFileTypeHead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCustomerFileTypeHeadParams,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerUploadApplyFilesOutput[]>(
    '/api/EnterpriseApplyFile/GetCustomerFileTypeHead',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 获取月份上传文件详情 POST /api/EnterpriseApplyFile/GetCustomerUploadApplyFiles */
export async function getCustomerUploadApplyFiles(
  body: API.GetCustomerUploadApplyFilesInput,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerUploadApplyFilesResponse>(
    '/api/EnterpriseApplyFile/GetCustomerUploadApplyFiles',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取月份上传文件按类型查询文件列表 POST /api/EnterpriseApplyFile/GetCustomerUploadApplyFilesByType */
export async function getCustomerUploadApplyFilesByType(
  body: API.GetCustomerUploadApplyFilesByTypeInput,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerUploadApplyFilesByTypeOutput[]>(
    '/api/EnterpriseApplyFile/GetCustomerUploadApplyFilesByType',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 根据月份查询是否存在提交记录 GET /api/EnterpriseApplyFile/GetCustomerUploadFileRecord */
export async function getCustomerUploadFileRecord(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCustomerUploadFileRecordParams,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerUploadFileRecordOutput>(
    '/api/EnterpriseApplyFile/GetCustomerUploadFileRecord',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 按月份查询企业上传材料列表 POST /api/EnterpriseApplyFile/GetEnterpriseApplyUploadFile */
export async function getEnterpriseApplyUploadFile(
  body: API.PageInput,
  options?: API.RequestConfig
) {
  return request<API.GetEnterpriseMonthApplyFileOutputPageOutput>(
    '/api/EnterpriseApplyFile/GetEnterpriseApplyUploadFile',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取园区汇总材料类型 POST /api/EnterpriseApplyFile/GetParkCollectFileTypeList */
export async function getParkCollectFileTypeList(
  body: API.GetParkCollectFileTypeListInput,
  options?: API.RequestConfig
) {
  return request<API.GetCustomerUploadApplyFilesOutput[]>(
    '/api/EnterpriseApplyFile/GetParkCollectFileTypeList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 更新四流材料申报金额 POST /api/EnterpriseApplyFile/UpdateEnterpriseMonthApplyFileApplyAmount */
export async function updateEnterpriseMonthApplyFileApplyAmount(
  body: API.UpdateEnterpriseMonthApplyFileApplyAmountInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/EnterpriseApplyFile/UpdateEnterpriseMonthApplyFileApplyAmount', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传材料详情-编辑-上传文件 POST /api/EnterpriseApplyFile/UploadMonthApplySingleFiles */
export async function uploadMonthApplySingleFiles(
  body: API.UploadMonthApplySingleFilesInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/EnterpriseApplyFile/UploadMonthApplySingleFiles', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
